# Draw
TKXSDRAW
XSDRAWSTLVRML

# XSDRAWSTLVRML_CoordsMap Class Reference

`#include <XSDRAWSTLVRML_CoordsMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XSDRAWSTLVRML_CoordsMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT XSDRAWSTLVRML_CoordsMap & | Assign (const XSDRAWSTLVRML_CoordsMap &Other)
XSDRAWSTLVRML_CoordsMap & | operator= (const XSDRAWSTLVRML_CoordsMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~XSDRAWSTLVRML_CoordsMap ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const TColStd_DataMapOfIntegerReal &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const TColStd_DataMapOfIntegerReal & | Find (const Standard_Integer &K) const
const TColStd_DataMapOfIntegerReal & | operator() (const Standard_Integer &K) const
Standard_EXPORT TColStd_DataMapOfIntegerReal & | ChangeFind (const Standard_Integer &K)
TColStd_DataMapOfIntegerReal & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | XSDRAWSTLVRML_CoordsMap (const XSDRAWSTLVRML_CoordsMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT XSDRAWSTLVRML_CoordsMap::XSDRAWSTLVRML_CoordsMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

XSDRAWSTLVRML_CoordsMap::~XSDRAWSTLVRML_CoordsMap | ( |  | ) | `[inline]`

Standard_EXPORT XSDRAWSTLVRML_CoordsMap::XSDRAWSTLVRML_CoordsMap | ( | const XSDRAWSTLVRML_CoordsMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT XSDRAWSTLVRML_CoordsMap& XSDRAWSTLVRML_CoordsMap::Assign | ( | const XSDRAWSTLVRML_CoordsMap & | Other | ) |

Standard_EXPORT Standard_Boolean XSDRAWSTLVRML_CoordsMap::Bind | ( | const Standard_Integer & | K,
|  | const TColStd_DataMapOfIntegerReal & | I
| ) |

Standard_EXPORT TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_CoordsMap::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void XSDRAWSTLVRML_CoordsMap::Clear | ( |  | ) |

Standard_EXPORT const TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_CoordsMap::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean XSDRAWSTLVRML_CoordsMap::IsBound | ( | const Standard_Integer & | K | ) | const

void XSDRAWSTLVRML_CoordsMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSDRAWSTLVRML_CoordsMap::operator new | ( | size_t | size | ) | `[inline]`

void* XSDRAWSTLVRML_CoordsMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_CoordsMap::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_CoordsMap::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

XSDRAWSTLVRML_CoordsMap& XSDRAWSTLVRML_CoordsMap::operator= | ( | const XSDRAWSTLVRML_CoordsMap & | Other | ) | `[inline]`

Standard_EXPORT void XSDRAWSTLVRML_CoordsMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean XSDRAWSTLVRML_CoordsMap::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- XSDRAWSTLVRML_CoordsMap.hxx